#ifndef _SVM_KERNEL_H
#define _SVM_KERNEL_H

#include <stdio.h>

#ifndef _LIBSVM_H

struct svm_node
{
	int index;
	double value;
};

#endif


class GenericKernel {
public:
  virtual double Compute(const svm_node *, const svm_node *) = 0;
  virtual const char* Name() = 0;
  virtual void WriteParams(FILE *) = 0;
  virtual ~GenericKernel() {}
};

#endif
